## apt-proxy 1.3.6

=== Makefile ===
apt-proxy-import.8: apt-proxy-import apt-proxy-import.8.inc
	help2man \
		-N \
		-i apt-proxy-import.8.inc \
		--section="8" \
		--source="Debian GNU/Linux" \
		--manual=" " \
		-o $@ \
		./apt-proxy-import

clean:
	rm -f apt-proxy-import.8
