## apt-proxy 1.3.0

=== debian/changelog ===
apt-proxy (1.3.0) unstable; urgency=low

  * Release new version into Debian archive.
    - Add HTTP/FTP backend support using wget
    - Add apt-proxy-import, a script to import .debs into the cache
    - Improve reliability when several clients are active
    - Add FAQ section to README
    See the changelogs for 1.2.9.x (below) for details. 
    (closes: #83199, #94226, #140348, #140826)

 -- Chris Halls <chris.halls@gmx.de>  Thu,  4 Apr 2002 14:06:05 +0200

apt-proxy (1.2.9.11) sourceforge; urgency=low

  * Fix log messages when a directory is created for a http/ftp backend.
  * Clean up some other log messages

 -- Chris Halls <chris.halls@gmx.de>  Thu,  4 Apr 2002 12:42:50 +0200

apt-proxy (1.2.9.10) sourceforge; urgency=low

  * Update installation instructions for non-Debian systems
  * Add check that stat supports -t option (thanks to Oliver Bornet)
  * Suggest stat and update description

 -- Chris Halls <chris.halls@gmx.de>  Thu,  4 Apr 2002 08:51:34 +0200

apt-proxy (1.2.9.9) sourceforge; urgency=low

  * Add --quiet option to adduser until #141016 is fixed (closes: #140826)
  * Update README

 -- Chris Halls <chris.halls@gmx.de>  Wed,  3 Apr 2002 11:19:51 +0200

apt-proxy (1.2.9.8) sourceforge; urgency=low

  * Add a FAQ section to README with some problems that users have
    encountered.
  * apt-get update && apt-get update now sends 304 HITs the second time for
    HTTP backends like it does for rsync
  * Change HTTP protocol version to 1.1 (it was still 1.0!)
  * Don't copy an older version using copy_best_match when using wget
  * Turn on KEEP_STATS when DEBUG is on
  * In debug mode, log lockfile release
  * Fix some error messages when file is already current version
  * Rename some rsync* functions to download* to make it less confusing

 -- Chris Halls <chris.halls@gmx.de>  Tue,  2 Apr 2002 18:14:18 +0200

apt-proxy (1.2.9.7) sourceforge; urgency=low

  * Fix file ownership changing bug in apt-proxy-import.  If you've used
    earlier versions, you may find files with owner root in
    /var/cache/apt-proxy - do "chown -R aptproxy /var/cache/apt-proxy" to
    restore normality.  This was the cause of "touch: permission denied"
    errors in the logfile.
  * Remove some debugging statements in apt-proxy

 -- Chris Halls <chris.halls@gmx.de>  Wed, 27 Mar 2002 18:21:42 +0100

apt-proxy (1.2.9.6) sourceforge; urgency=low

  * Fix race if two clients request the same file, with help from Sacha to
    reproduce. (closes: #140348)
  * I would like to upload to Debian unstable once 1.2.2 hits Woody in 5 days.
    Please let me know if you are aware of any remaining issues!

 -- Chris Halls <chris.halls@gmx.de>  Wed, 27 Mar 2002 16:16:52 +0100

apt-proxy (1.2.9.5) sourceforge; urgency=low

  * Fix directory support so apt-proxies can be chained again
  * Add apt-proxy --version (thanks to Sacha Schlegel)

 -- Chris Halls <chris.halls@gmx.de>  Mon, 25 Mar 2002 16:33:51 +0100

apt-proxy (1.2.9.4) sourceforge; urgency=low

  * Merge in changes from stable 1.2.2
  * Add dpkg-name support to apt-proxy-import so it renames files too
  * Log copy_best_match to help Sascha to fix the problem he found :)

 -- Chris Halls <chris.halls@gmx.de>  Fri, 22 Mar 2002 17:07:57 +0100

apt-proxy (1.2.9.3) sourceforge; urgency=low

  * Always use ash instead of sh, because this makes apt-proxy much faster.
  * Fix ftp backend permission problem
  * If a file to be downloaded was not newer, wget would not download a file
    and the apt client would receive a zero length file.
  * Return an error if a file does not exist on any server
  * Add fuzzy matching to apt-proxy-import by ranty, which enables it to guess
    where a .deb file should go even if the Packages files do not contain the
    exact version.  Only works for new style pool directories, and is not yet
    documented.

 -- Chris Halls <chris.halls@nikocity.de>  Mon, 11 Mar 2002 17:14:35 +0100

apt-proxy (1.2.9.2) sourceforge; urgency=low

  * Only download uncompressed packages files when rsyncing.  Do not attempt
    to get uncompressed sources, release or contents files.  When downloading
    uncompressed files with rsync, use compress switch (closes: #94226)
  * Fix lockfile name used during clean sweep.  Thanks to Lele Gaifax for the
    patch.
  * Fix an error where stale lockfiles were not deleted

 -- Chris Halls <chris.halls@nikocity.de>  Wed,  6 Mar 2002 15:37:09 +0100

apt-proxy (1.2.9.1) sourceforge; urgency=low

  * Add http/ftp support using wget. (closes: #83199)
  * New script: apt-proxy-import, which will import .debs into the archive.

 -- Chris Halls <chris.halls@nikocity.de>  Tue, 26 Feb 2002 14:46:49 +0100

apt-proxy (1.2.2) unstable; urgency=low

  * Fix lockfile name in sweep clean (thanks to Lele Gaifax)
  * Change maintainer email address (closes: #139173)
  * Add Manuel Estrada Sainz <ranty@debian.org> to Uploaders.  He has
    been helping improve apt-proxy-import and will sponsor future uploads.

 -- Chris Halls <chris.halls@gmx.de>  Thu, 21 Mar 2002 18:13:30 +0100

apt-proxy (1.2.1) unstable; urgency=low

  * Reset access time on version n-1 when downloading n, so the cache cleaning
    algorithm works better (came up in the discussion for bug #131883)
  * Add Contents-* to list of control files, so apt-proxy works with apt-file.
    (closes: #134217)
  * Add version to debhelper build dependency (>> 3.0.0)
  * On purge, remove the cache directory
  * Make it possible to install on Potato again by removing --diabled-login
    and --shell from adduser invocation.  They are on by default for a system
    user anyway. (Sourceforge bug #516318)
  * Add note to README about usage on Potato
  * Make Debian native

 -- Chris Halls <chris.halls@nikocity.de>  Thu, 21 Feb 2002 18:47:08 +0100

apt-proxy (1.2.0-1) unstable; urgency=low

  * New upstream release
    - New config file paramter, MAX_VERSIONS, to limit the number of package
      versions to keep in the cache directory.  Thanks to Martin Schwenke.

