## apt-proxy 1.3.6

=== debian/changelog ===
apt-proxy (1.3.6) unstable; urgency=low

  * Correct example proxy lines in apt-proxy.conf (closes: #169658, #177514)
  * Remove logrotated logfiles on purge
  * Correct location of apt-proxy.conf in apt-proxy(8) (closes: #170045)
  * Add French translation of apt-proxy.8 manpage, thanks to Richard Bonichon
    for the translation.
  * Set PATH to standard system path.  You can override this in apt-proxy.conf
    if you need PATH set to semething else. (closes: #170286)
  * Add conversion script by Michael (Micksa) Slade.  This reads sources.list
    and creates an example sources.list and apt-proxy.conf.  Installed in
    /usr/share/doc/apt-proxy/examples/apt-proxy-mkconfig until it has been
    documented.
  * Apply patch from Ian Bruce to fix uncompressed Packages rsyncing 
    (closes: #166305)

 -- Chris Halls <halls@debian.org>  Wed, 22 Jan 2003 11:19:21 +0100

apt-proxy (1.3.5) unstable; urgency=low

  * New maintainer email address, yay :)
  * Comment out create action in logrotate script, so that it works
    by default if another user is used (closes: #165692)
  * Apply patch from Arthur Korn to log downloads when KEEP_STATS is set
    (closes: #169081)

 -- Chris Halls <halls@debian.org>  Fri, 15 Nov 2002 08:15:17 +0100

apt-proxy (1.3.4) unstable; urgency=low

  * Add more items to the FAQ and improve documentation of the different
    backends and when to use them.  Updates to the manpages and README.
    Thanks to Heather Stern for the suggestions.
  * Apply patch from Roger Burton West (thanks!) to handle unknown filetypes
    for Jigdo support (closes: #156676, #156009)
  * logrotate script creates logfile if missing (closes: #161619)
  * Add more examples to apt-proxy.conf
  * Correct spelling error in apt-proxy.conf (closes: #157147)

 -- Chris Halls <chris.halls@gmx.de>  Fri, 20 Sep 2002 10:59:04 +0200

apt-proxy (1.3.3) unstable; urgency=low

  * Fix section typo in apt-proxy manpage (closes: #151208)
  * Download compressed Packages.gz from rsync backend if no local file is
    available.  Thanks to Roland Gerlach for the analysis.
  * Update apt-proxy.conf with many more examples and http backends by default
  * Fix apt-proxy-import help message, thanks Cristian Ionescu-Idbohrn
    (closes: #152166)
  * Fix chaining of multiple apt-proxies, thanks Brian Johnson 
    (closes: #153893)
  * Allow Release.gpg (closes: #153234)
  * Mention that new developments are going into version 2 in README

 -- Chris Halls <chris.halls@gmx.de>  Wed, 24 Jul 2002 16:04:59 +0200

apt-proxy (1.3.2) unstable; urgency=low

  * Depend on binutils for ar (closes: #143573)
  * Accept '~' characters in URLs
  * Clean up URLs used internally
  * apt-proxy-import: copy files instead of linking if using dpkg-name from
    Potato
  * Copy links to .debs as files, not links on rysnc backends.  This made it
    impossible to download some potato .debs on ftp.de.debian.org.
  * Refuse to run apt-proxy as the root user.  This is not a good idea
    security-wise.
  * Check for write permission in backend directories
  * Add debug option (-D) to apt-proxy-import that leaves the contents of
    dpkg-name.links directory.
  * Manuel Estrada Sainz: 
    - convert /dirname/../ into / (closes: #149166)
    - let apt-proxy-import accept relative pathnames (closes: #149200)
    - delete aptproxy user in postrm (closes: #148383)

 -- Chris Halls <chris.halls@gmx.de>  Fri, 14 Jun 2002 17:05:35 +0200

apt-proxy (1.3.1) unstable; urgency=low

  * Accept requests in the form http://<hostname>/... to comply with
    HTTP 1.1 (closes: #141740)
  * Manuel Estrada Sainz: update apt-proxy-import manpage using
    help2man; add help2man to build-depends
  * Add usage example in apt-proxy-import manpage for importing apt-move cache
  * Make apt-proxy-import output nicer when importing many directories
  * Update README with new hints and tips
  * Small apt-proxy.conf manpage correction

 -- Chris Halls <chris.halls@gmx.de>  Fri, 12 Apr 2002 13:26:36 +0200
