=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: apt-proxy
 Section: admin
 Priority: extra
-Maintainer: Chris Halls <chris.halls@gmx.de>
+Maintainer: Chris Halls <halls@debian.org>
 Uploaders: Manuel Estrada Sainz <ranty@debian.org>
 Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper (>> 3.0.0)
+Build-Depends-Indep: debhelper (>> 3.0.0), help2man
 
 Package: apt-proxy
 Architecture: all
-Depends: wget | rsync, grep-dctrl, tcpd, netbase, ash
+Depends: wget | rsync, grep-dctrl, tcpd, netbase, ash, binutils
 Recommends: apt
 Suggests: wget, rsync, dpkg-dev, stat
 Description: Debian archive proxy and partial mirror builder
