=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 build-stamp:
 	dh_testdir
 
+	$(MAKE) apt-proxy-import.8
 	touch build-stamp
 
 clean:
@@ -43,7 +44,7 @@
 	dh_testroot
 	dh_installdebconf
 	dh_installdocs
-	dh_installexamples
+	dh_installexamples apt-proxy-mkconfig
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
