## apt-proxy 1.9.28ubuntu1

=== debian/changelog ===
apt-proxy (1.9.28ubuntu1) hoary; urgency=low

  * Merge changes from Debian

 -- Chris Halls <halls@debian.org>  Tue, 29 Mar 2005 12:26:53 +0100

apt-proxy (1.9.28) unstable; urgency=low

  * Fix exception in dynamic backends.  Closes: #296513
  * If another client requests the same Packages/Releases file,
    send the file instead of HTTP 304 Not Modified.  Closes: #284584

 -- Chris Halls <halls@debian.org>  Thu,  3 Mar 2005 14:55:30 +0000

apt-proxy (1.9.27) unstable; urgency=low

  * Delay database directory creation until after uid change.
    Older installations are fixed by chmoding directory in
    postinst.  Closes: #288829
  * Fix exception in apt-proxy-import. Closes: #296574
  * Close connection where necessary after sending complete file.
    Closes: #288905
  * Pipe file verification output to /dev/null for UML speedups,
    thanks Paul Wagland for the patch.  Closes: #292818
  * init script:
     - Fix bashism in init script.  Closes: #296710
     - Improve output and remove first sleep, thanks
       again Herbert Thielen.  Closes: #296875

 -- Chris Halls <halls@debian.org>  Fri, 25 Feb 2005 20:53:20 +0000

apt-proxy (1.9.26) unstable; urgency=low

  * Add Depends to disallow upgrade of python2.3 without
    upgrade of twisted.  Closes: #294626
  * init script: wait longer for apt-proxy to stop, thanks
    Herbert Thielen for the patch. Closes: #284432

 -- Chris Halls <halls@debian.org>  Tue, 22 Feb 2005 23:52:09 +0000

apt-proxy (1.9.25ubuntu1) unstable; urgency=low

  * Merge changes from Debian

 -- Chris Halls <halls@debian.org>  Fri, 28 Jan 2005 11:32:14 +0000

apt-proxy (1.9.25) unstable; urgency=low

  * Postpone database creating to first request. Closes: #288829. (Otavio)
  * Reorganise Backends. Now the packages databse is not opened multiple
    times for each alternative URL given.
  * Each [backend] section in apt-proxy.conf creates a new class Backend
  * Each URL in the backend section creates a new class BackendServer
  * New class layout is:
      Backend -> base, packages database, list of BackendServers
      BackendServer -> fetcher, host, port, user etc
  * init script: Change twistd2.3->twistd to help python transitions
  * apt-proxy.conf: Add ubuntu and ubuntu-security archives

 -- Chris Halls <halls@debian.org>  Fri, 28 Jan 2005 10:26:49 +0000

apt-proxy (1.9.24.ubuntu2) hoary; urgency=low

  * Tighten Depends on python twisted, because earlier versions of the
    package did not inclue non-versioned binary.

 -- Chris Halls <chris.halls@credativ.co.uk>  Wed, 26 Jan 2005 15:07:15 +0000

apt-proxy (1.9.24.ubuntu1) hoary; urgency=low

  * Rebuild on Ubuntu
  * Add ubuntu archives to example apt-proxy.conf
  * Change twistd2.3 to twistd

 -- Chris Halls <chris.halls@credativ.co.uk>  Mon, 24 Jan 2005 15:00:10 +0000

apt-proxy (1.9.24) unstable; urgency=low

  * Fix module import.
  * Add some debug/log messages when upgrading database
  * apt-proxy.8:
    - Add Otavio to authors
    - Change example deb lines: 'woody' to 'stable' and add security
      example
  * debian/manpages: use wildcard to install pages

 -- Chris Halls <halls@debian.org>  Fri,  3 Dec 2004 19:21:23 +0000

apt-proxy (1.9.23) unstable; urgency=low

  * Improve upgrade from previous database format. (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Fri,  3 Dec 2004 15:48:25 -0200

apt-proxy (1.9.22) unstable; urgency=low

  * Load database when requested. Closes: #283685. (Otavio)
  * Remove previous database and recreate it because the format has
    change. Closes: #284011. (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Fri,  3 Dec 2004 11:37:26 -0200

apt-proxy (1.9.21) unstable; urgency=low

  * Fix caching of files that was broken in 1.9.20, thanks
    to Paul Wagland for the help 
    (closes: #283441, #283893, #257611)
  * Create database file if it does not exist (closes: #283686)
  * Fix bug in gzip conversion class
  * Clean up memory after sending files from cache directory
    (closes: #260951, #258025)

 -- Chris Halls <halls@debian.org>  Thu,  2 Dec 2004 11:24:52 +0000

apt-proxy (1.9.20) unstable; urgency=low

  * Close temporary files when finish to transfer data.
    Closes: #281156 (Otavio)
  * Change to use bsddb3 database library bacause it's faster then python
    native version. Closes: #262097 (Otavio)
  * Files were being stored in memory while they were downloaded, 
    removed.  Reduces CPU usage while downloading large files.
    Closes: #271820 (Chris)
  * Simple profiling: Run 'aptest profile' to get a function call dump
    in ap-profile.log (Chris)
  * Change where we import the tempfile module to improve the
    speed. (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Sun, 28 Nov 2004 20:32:34 -0200

apt-proxy (1.9.19) unstable; urgency=low

  * Fix format in apt-proxy.conf(5). (closes: #272153) (Otavio)
  * Add default to 30 in timeout parameter when importing from version
    1. (closes: #266776, #266567) (Otavio)
  * Allow listening on multiple IP addresses. (closes: #266453) (Otavio)
  * Change to wait by the _server_ closes the connection, this solve the
    hang while using with wget and in that case, debootstrap. Thanks to
    Chet Murthy <chetsky@gmail.com> by the patch. (Otavio)
  * Change default apt-proxy.conf file to use debian-non-US instead of
    non-US. (closes: #273973, #267427) (Otavio)
  * Disable pipelining by default (disable_pipelining=1) until the pipelining
    logic is more sensible and does not attempt multiple connections to
    the same backend server (Chris)
    - Closes: #272217: extreme delays in fetching any packages
    - Closes: #274426: Apt-proxy v2 has a long delay between files
    - Closes: #251192: stuck connections
    - Closes: #219427: deals badly with connection-limited ftp sources
    - Closes: #261066: Doesn't download completely some files
  * Document the meaning of disable_pipelining in apt-proxy.conf manpage (Chris)
  * Debconf Translations:

