=== debian/changelog ===
apt-proxy (1.9.29) unstable; urgency=low

  * Hey, we moved to Alioth and Subversion :-D (Otavio)
  * Apply patch provided by Patrick B. Carlisle <carlislp@reed.edu> to fix
    the empty timeout value in conversion. Closes: #304182 (Otavio)
  * Apply patch provided by Achim Bohnet <ach@mpe.mpg.de> to improve the
    manpages. Closes: #299682 (Otavio)
  * Add a doc giving tips how to use it offline. Thanks for Achim Bohnet
    <ach@mpe.mpg.de> by it. Closes: #299675 (Otavio)
  * Fix the option handle of apt-proxy-import to display its version
    instead of Twisted one. Closes: #308666 (Otavio)
  * Fix a spelling error on template. Closes: 308930 (Otavio)
  * Debconf Translations:
    - Vietnamese (vi.po) by Clytie Siddall <clytie@riverland.net.au>.
      Closes: 308814 (Otavio)
  * Manpage Translations:
    - French (fr.po) by Christian Perrier <bubulle@debian.org>.
      Closes: 300172 (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Mon, 16 May 2005 01:29:14 -0300
