=== debian/control ===
Source: apt-proxy
Section: admin
Priority: extra
Maintainer: Otavio Salvador <otavio@debian.org>
Uploaders: Chris Halls <halls@debian.org>
Standards-Version: 3.6.1.1
Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted (>= 1.0.0), python, python-apt, po4a (>= 0.18.1)

Package: apt-proxy
Architecture: all
Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate
Conflicts: apt-proxy-v2 (<= 1.9.5)
Replaces: apt-proxy-v2 (<= 1.9.5)
Suggests: rsync
Description: Debian archive proxy and partial mirror builder development
 This is version 2 of apt-proxy which will, when ready, replace apt-proxy v1.
 .
 apt-proxy automatically builds a Debian HTTP mirror based
 on requests which pass through the proxy.  It's great for
 multiple Debian machines on the same network with a slower
 internet link.
 .
 The archive is automatically kept up to date using http,
 ftp or rsync.  Cache cleaning of unused and old versions
 is configurable.  You can also import the contents of
 your apt cache into the archive using apt-proxy-import.
 .
 For more information, see the apt-proxy homepage at
 http://apt-proxy.sourceforge.net
 .
 The suggested packages are needed for the following
 features: rsync for rsyncd backends, and
 dpkg-dev for apt-proxy-import.
