=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 clean:
 	dh_testdir
 	dh_testroot
-	po4a doc/po4a.cfg
 	rm -f doc/*.??.*
 	$(MAKE) -C doc clean
 	rm -f build-stamp install-stamp AptProxy-shutdown-2.tap
