## apt-proxy 1.9.31ubuntu3

=== debian/changelog ===
apt-proxy (1.9.31ubuntu3) breezy; urgency=low

  * debian/init.d:
    - Use LSB init-functions.
  * debian/control:
    - Bump Standards-Version to 3.6.2.
    - Add missing depends on adduser and netbase.
  * debian/changelog:
    - Converted the changelog to UTF-8.

 -- Christian Bjälevik <nafallo@magicalforest.se>  Mon,  5 Sep 2005 04:19:25 +0200

apt-proxy (1.9.31ubuntu2) breezy; urgency=low

  * apt_proxy/apt_proxy.py:
    applied a patch from svn to add file backends to the apt-proxy code
    (this will be part of the next release but we want to use it now for 
     the NetworkWideUpdates code)
  * doc/apt-proxy.conf: set min_refresh=1s to avoid a situation that the
    Release{.gpg} file is not in sync and apt-proxy don't refresh that file
    for 1h

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Jul 2005 10:44:30 +0200

apt-proxy (1.9.31ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jun 2005 16:51:37 +0200

apt-proxy (1.9.31) unstable; urgency=low

  * Merged back changes from 1.9.29 that were reverted for sarge release
  * apt-proxy-import; add command line parameter to change configuration
    file
  * Fix problem parsing usernames with @ char inside. Closes: #309288 (Otavio)
  * All seems to be ok with new twisted (2.0.1)

 -- Chris Halls <halls@debian.org>  Tue, 14 Jun 2005 22:54:47 +0100

apt-proxy (1.9.30) unstable; urgency=high

  * Back out all changes in 1.9.29 except for the fix for
    #304182, the RC bug that caused apt-proxy to be removed from
    Sarge
  * Re-enable gunzip postprocessing for Packages, needed for
    packages database to work properly.  This code was commented out
    in 1.9.23 because I thought it was related to another problem.
    Closes: #277916: /usr/sbin/apt-proxy-import: apt-proxy-import
    doesn't work- no suitable backend found
    Closes: #285792: apt-proxy-import does not work
    Closes: #305015: max_versions not respected - keeps many versions
    more than defined there

 -- Chris Halls <halls@debian.org>  Thu, 19 May 2005 17:28:33 +0100
