=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Otavio Salvador <otavio@debian.org>
 Uploaders: Chris Halls <halls@debian.org>
-Standards-Version: 3.6.1.1
+Standards-Version: 3.6.2
 Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted (>= 1.0.0), python, python-apt, po4a (>= 0.18.1)
 
 Package: apt-proxy
 Architecture: all
-Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate
+Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate, adduser, netbase
 Conflicts: apt-proxy-v2 (<= 1.9.5)
 Replaces: apt-proxy-v2 (<= 1.9.5)
 Suggests: rsync
