## apt-proxy 1.9.33ubuntu1

=== debian/changelog ===
apt-proxy (1.9.33ubuntu1) dapper; urgency=low

  * Resynchronize with Debian.
    - UVF exception granted by Reinhard Tartler.
      https://lists.ubuntu.com/archives/ubuntu-motu/2006-February/000546.html
    - Work correctly with python-twisted (>= 2.1.0).  (Ubuntu #29267)
  * Add a missing comma in the Depends line in debian/control.
                                                      (Debian #353386)
  * Ubuntu specific changes:
    - doc/apt-proxy.conf:  Set min_refresh=1s.
    - debian/init.d:  Use LSB init-functions.
    - debian/install:  Install into python2.4 dirs instead of python2.3.

 -- Ming Hua <minghua@ubuntu.com>  Sun,  5 Mar 2006 15:01:56 -0600

apt-proxy (1.9.33) unstable; urgency=low

  [ Chris Halls ]
  * Update for twisted 2.1.0.  Thanks Tuncer Ayazi and Andreas Pakulat for
    their patches and suggestions.
  * Depend on python-twisted-web if using twisted > 2.0.1 (Closes: #349596)
  * Remove use of deprecated arm calls (Closes: #349447)
  * Rework apt-proxy.conf manpage. Thanks to Roey Katz for all the
    suggestions
  * debian/rules: swap dh_python and dh_installinit calls, so that
    update-python-modules is called before init script in postinst

  [ Debconf Translations ]
  * Yuriy Talakan <yt@amur.elektra.ru>: ru.po (closes: #310326)

 -- Chris Halls <halls@debian.org>  Thu, 26 Jan 2006 11:59:56 +0000

apt-proxy (1.9.32ubuntu2) dapper; urgency=low

  * Add our changes back to the package:
    * doc/apt-proxy.conf: set min_refresh=1s to avoid a situation that the
      Release{.gpg} file is not in sync and apt-proxy don't refresh that file
      for 1h
    * debian/init.d:
      - Use LSB init-functions.
  * debian/install:
    - Install into python2.4 dirs instead of python2.3.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Thu, 10 Nov 2005 09:08:45 +0100

apt-proxy (1.9.32ubuntu1) dapper; urgency=low

  * Resynchronize with Debian
  * Threw away ubuntu changes (all of them are in new Debian upstream)
  * debian/control: updated build-deps and deps to match python2.4
  * Merged changelog to show our releases

 -- Stephan Hermann <sh@sourcecode.de>  Wed,  9 Nov 2005 23:51:11 +0100

apt-proxy (1.9.32) unstable; urgency=low

  [ Chris Halls ]
  * Add support for file:// backends.  Thanks to Michael Vogt for
    the patch.  FetcherFile is renamed to FetcherCachedFile and
    FetcherFile is now the file: backend.
  * Change apt-proxy-import command line: files/directories to import are
    specified as regular parameters instead of using -i switch
  * Add --config-file command line option to apt-proxy and apt-proxy-import
    so more than one apt-proxy can be started independently.  This makes
    it possible to test apt-proxy in parallel with the system version.
  * Seperate out configuration file loading code into standalone classes
    that can be used (and tested independently)
  * Seperate management of the list of Packages files associated with a
    backend
  * When building a list of Packages files to parse using apt_pkg, check that
    the files exist, and do not load apt_pkg at all if there are no files.
    Added a test case to verify this (closes: #270874)
  * doc/Makefile: Use absolute PYTHONPATH when running a-p-i.  Fixes build
    error in some build environments

  [ Otavio Salvador ]
  * Add debconf-2.0 as alternative to satisfy debconf requirement to
    run. This will be need for transition to cdebconf later
  * Use twisted.web.http instead of twisted.protocols.http, which is
    depreciated in twisted 2 but only if running with newer versions of
    twisted library
  * Bump Standards-Version to 3.6.2. No changes needed
  * Only use update-inetd on upgrades and then we check if it exists
    before calling it. That way we avoid a dependency on netbase
  * Add dependency on adduser because postinst uses it
  * Call debconf-updatepo in package clean target
  * Update pt_BR debconf translations

 -- Otavio Salvador <otavio@debian.org>  Fri, 19 Aug 2005 14:22:25 -0300
