=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: apt-proxy
 Architecture: all
-Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate, adduser, netbase
+Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-twisted-web | python-twisted (<< 2.1.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate, adduser
 Conflicts: apt-proxy-v2 (<= 1.9.5)
 Replaces: apt-proxy-v2 (<= 1.9.5)
 Suggests: rsync
