=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	find . -name "*.pyc" |xargs -r rm
 	find . -name "*.tmlc" |xargs -r rm
 	dh_clean
+	debconf-updatepo
 
 install: install-stamp
 install-stamp: build-stamp
@@ -33,8 +34,8 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
+	dh_python
 	dh_installinit
-	dh_python
 
 	#install -g root -o root -m 755 \
 	#	apt-proxy debian/apt-proxy/usr/sbin/apt-proxy
