## apt-proxy 1.9.35ubuntu1

=== debian/changelog ===
apt-proxy (1.9.35ubuntu1) edgy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes are:
   - doc/apt-proxy.conf: Set min_refresh_delay=1s.
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.4 dirs instead of python2.3.

 -- Matti Lindell <mlind@cs.joensuu.fi>  Sat, 23 Sep 2006 17:23:08 +0300

apt-proxy (1.9.35) unstable; urgency=low

  * http_proxy option:
    - Fix import error with option enabled. (Closes: #382171)
    - Fix authorisation header that is sent by http client
    - apt-proxy.conf.5: Document that http_proxy can take a username and
      password parameter
  * apt-proxy-import:
    - Fix import routine (Closes: #382012)
  * Add translations that got lost in previous version
    (Closes: #330202, #331515, #336384, #333847)
  * Tighten twisted dependency to twisted-web only to force upgrades for
    Etch users (Closes: #382193, #382946)

 -- Chris Halls <halls@debian.org>  Mon, 14 Aug 2006 23:00:56 +0100

apt-proxy (1.9.34) unstable; urgency=low

  * Acknowledge NMU by Luk Claes, thanks! (Closes: #359798)

  * Change maintainer to myself and add Otavio to Uploaders, at
    Otavio's request. Thanks Otavio for all your work.

  * Caching behaviour changes:
    - Reorganise download process to be more logical, fixing several problems
      (Closes: #329764)
    - Recognise apt package diff files (*.diff/Index). Thanks
      Florian Weimer for the patch (Closes: #336433)
    - Remove http scheme, host and port from URL requested by clients
      (Closes: #374405)
    - Add download queueing mechanism. Clients can now use HTTP pipelining to
      request files, and each file will be queued at the corresponding backend.
      Each separate apt client connection generates a connection to the
      backend. (Closes: #261802)
    - HTTP pipelining now works and is enabled by default
      (Closes: #272206, #141312)

  * Code reorganisation:
    - Fix breakage caused by new twisted (Closes: #375677)
    - Move fetchers and cache management into separate files
    - Add more unit tests
    - Fix shutdown code (Closes: #359805)

  * apt-proxy.conf:
    - http_proxy can now be set in each [backend] section
    - Add support for username and password in http_proxy parameter.
      Thanks to Thomas Champagne for the patch (Closes: #323147, #327239)
    - Add bandwidth_limit configuration parameter to limit download
      rates (Closes: #306095, #259011)
    - Add support for rsync port specification
    - Give a meaningful error message if an empty time is given in the
      configuration file (Closes: #304611)

  * Packaging changes:
    - Always check cache directory and logfile permissions when package
      is installed, thanks Ben Hutchings for the patch (Closes: #312969)
    - Add debhelper to Build-Depends, needed for dh_clean in clean target
    - Remove reference to v1 in description (Closes: #337966)
    - Support updated Python policy, thanks Matthias Klose. (Closes: #377322)
    - Standards-Version 3.7.2 (no changes necessary)

  * Documentation updates:
    - Remove obsolete debian/TODO from source package
    - Update doc/TODO, removing fixed items
    - Remove references to -i parameter in apt-proxy.conf manpage.
      (Closes: #328983)
    - In example apt-proxy.conf, remove references to non-US archive
      (Closes: #329935)

 -- Chris Halls <halls@debian.org>  Mon,  7 Aug 2006 18:54:56 +0100

apt-proxy (1.9.33ubuntu2) edgy; urgency=low

  * Merge from debian unstable's 1.9.33-0.1 (thanks, poor versioning!).

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 30 Jun 2006 18:23:59 +0100

apt-proxy (1.9.33-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update for bsddb module (Closes: #352917).
  * Add comma in depends (Closes: #353386, #350551, #354668, #355228).
  * Updated Vietnamese debconf translation (Closes: #313121).
  * Complete manpage translation with po4a (Closes: #334380).
  * Fix typos in apt-proxy.conf.5 (Closes: #355225).
  * Remove extra 'by default' from apt-proxy.8 (Closes: #355229).
  * Add German debconf translation (Closes: #352484).
  * Updated French debconf translation (Closes: #328689).
  * Add Portuguese debconf translation (Closes: #330202).
  * Add Swedish debconf translation (Closes: #331515).
  * Add Catalan debconf translation (Closes: #336384).
  * Updated Danish debconf translation (Closes: #340132).
  * Updated Dutch debconf translation (Closes: #356210).
  * Add Spanish debconf translation (Closes: #333874).
  * Updated Czech debconf translation (Closes: #335361).
  * Updated French manpage translation (Closes: #332304).

 -- Luk Claes <luk@debian.org>  Wed, 29 Mar 2006 00:05:51 +0200
