## apt-proxy 1.9.35ubuntu2

=== debian/changelog ===
apt-proxy (1.9.35ubuntu2) feisty; urgency=low

  * Merge from Debian unstable's 1.9.35-0.1
  * Remaining Ubuntu changes are:
   - doc/apt-proxy.conf: Set min_refresh_delay=1s.
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.4 dirs instead of python2.3.

 -- Matti Lindell <mlind@cs.joensuu.fi>  Tue,  9 Jan 2007 20:01:59 +0200

apt-proxy (1.9.35-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use "self.filelist" instead of "filelist" in ftpListResult() (in
    fetchers.py), as the latter is a non-existant variable, giving 500
    errors when SIZE failed in an FTP session for some reason.
    (Closes: #402481)
  * Make the FTP fetcher unescape file names before fetching, which makes
    ~ in file names work again with FTP; patch from Ben Hutchings.
    (Closes: #393483, #386344)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 27 Dec 2006 12:20:45 +0100
