=== debian/control ===
Source: apt-proxy
Section: admin
Priority: extra
Maintainer: Chris Halls <halls@debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Standards-Version: 3.7.2
XS-Python-Version: current
Build-Depends: debhelper
Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted-web (>= 0.6), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1), python-central (>= 0.5)

Package: apt-proxy
Architecture: all
Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted-web (>= 0.6), python-apt (>= 0.5.8), bzip2, logrotate, adduser
Conflicts: apt-proxy-v2 (<= 1.9.5)
Replaces: apt-proxy-v2 (<= 1.9.5)
Suggests: rsync
XB-Python-Version: ${python:Versions}
Description: Debian archive proxy and partial mirror builder
 apt-proxy automatically builds a Debian HTTP mirror based
 on requests which pass through the proxy.  It's great for
 multiple Debian machines on the same network with a slower
 internet link.
 .
 The archive is automatically kept up to date using http,
 ftp or rsync.  Cache cleaning of unused and old versions
 is configurable.  You can also import the contents of
 your apt cache into the archive using apt-proxy-import.
 .
 For more information, see the apt-proxy homepage at
 http://apt-proxy.sourceforge.net
 .
 The suggested packages are needed for the following
 features: rsync for rsyncd backends, and
 dpkg-dev for apt-proxy-import.
