=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 build-stamp:
 	dh_testdir
 
+	$(MAKE) -C doc apt-proxy-import.8
 	po4a doc/po4a.cfg
-	$(MAKE) -C doc apt-proxy-import.8
 	touch build-stamp
 
 clean:
@@ -34,6 +34,7 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
+	dh_pycentral
 	dh_python
 	dh_installinit
