## apt-proxy 1.9.35-0.1~bpo.1

=== debian/changelog ===
apt-proxy (1.9.35-0.1~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge
  * Reverted switch to new python policy:
    - replaced python-twisted-web (>= 0.6) with python-twisted (>= 1.0.0)
      in build-depends
    - removed build dependency on python-central (>= 0.5)
    - removed call to dh_pycentral in rules file
  * replaced dependency on python-twisted-web (>=0.6) with python-twisted
    (>=1.0.0)
  * importing http from twisted_compat instead of twisted.web in
    - apt_proxy/apt_proxy.py
    - apt_proxy/cache.py
    - apt_proxy/fetchers.py
  * not importing static from twisted.web in apt_proxy/fetchers.py

 -- Wolf Wiegand <wolf@kondancemilch.de>  Wed, 04 Jan 2007 18:58:11 +0100
