=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: admin
 Priority: extra
 Maintainer: Chris Halls <halls@debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>
+Uploaders: Otavio Salvador <otavio@debian.org>, Wolf Wiegand <wolf@kondancemilch.de>
 Standards-Version: 3.7.2
 XS-Python-Version: current
 Build-Depends: debhelper
-Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted-web (>= 0.6), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1), python-central (>= 0.5)
+Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted (>= 1.0.0), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1)
 
 Package: apt-proxy
 Architecture: all
-Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted-web (>= 0.6), python-apt (>= 0.5.8), bzip2, logrotate, adduser
+Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted (>= 1.0.0), python-apt (>= 0.5.8), bzip2, logrotate, adduser
 Conflicts: apt-proxy-v2 (<= 1.9.5)
 Replaces: apt-proxy-v2 (<= 1.9.5)
 Suggests: rsync
