=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
-	dh_pycentral
 	dh_python
 	dh_installinit
