## apt-proxy 1.9.35-0.3

=== debian/changelog ===
apt-proxy (1.9.35-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Don't invoke the inetd init script on upgrade from ancient versions,
    update-inetd will already handle this for us.  Thanks to Marco
    Presi, Peter Green, Damyan Ivanov, and Ben Hutchings for their work
    on figuring out this bug.  Closes: #412387.

 -- Steve Langasek <vorlon@debian.org>  Sun, 11 Mar 2007 19:58:12 -0700

apt-proxy (1.9.35-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update French manpage translation (Closes: #385073)
  * Update Japanese debconf translation (Closes: #393127)
  * debian/rules: move debconf-updatepo before dh_clean

 -- Thomas Huriaux <thomas.huriaux@gmail.com>  Sat, 27 Jan 2007 15:49:56 +0100
