## apt-proxy 1.9.36ubuntu2

=== debian/changelog ===
apt-proxy (1.9.36ubuntu2) gutsy; urgency=low

  * apt_proxy/packages.py
    - Comment out apt_pkg.CPU - apt_pkg no longer provides this
    - Fixes LP: #131251

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sat, 11 Aug 2007 17:51:47 +1000

apt-proxy (1.9.36ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.5 dirs instead of python2.3.
   - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Andrea Veri <bluekuja@ubuntu.com>  Mon, 04 Jun 2007 22:24:13 +0100

apt-proxy (1.9.36) unstable; urgency=low

  [ Chris Halls ]
  * Merge NMUs by Steinar H. Gunderson, Thomas Huriaux and Steve Langasek.
    Thanks guys! (Closes: #404679)
  * Close a longstanding bug where clients would hang when receiving
    files from the cache. The problem was caused by reusing the same
    file handle for several requests at once.
    (Closes: #274679, #382078, #322242, #397399, #397403, #398217)
  * Change the meaning of min_refresh_delay parameter, so the
    delay is measured from the modification time of the file on the
    backend instead of the time a client last requested this file.
    Now apt-proxy will always query backends when a file is too
    old (Closes: #266000)
  * Set process name to apt-proxy
  * Properly deal with escaped characters, including ~ in URLs on FTP
    backends. Unescape URLs and check for invalid characters when parsing
    a request. A big thanks to Ben Hutchings for the patch
    (Closes: #393483, #366262)
  * Fix username@password given in backend server URLs and add a test case.
    Thanks Jason Thomas for the patch (Closes: #348985)
  * Fix exception when sending ftp password to backend (Closes: #387243)
  * Remove extra '/' in HTTP GET requests (Closes: #330492)
  * Uncompress Packages.gz and Packages.bz2 on the fly, and
    update databases from these files (Closes: #319005, #303357)
  * Add unit tests for valid URLs containing /../ (Closes: #182855)
  * Remove obsolete GZipFetcher from fetchers.py

  [ Mark Sheppard ]
  * Generate an error if a client attempts to retrieve
    http://server:9999/  (Closes: #386546)
  * When returning an error, generate an HTML page containing the error

 -- Chris Halls <halls@debian.org>  Mon, 04 Jun 2007 11:06:08 +0100

apt-proxy (1.9.35ubuntu3) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
   - doc/apt-proxy.conf: Set min_refresh_delay=1s.
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.4 dirs instead of python2.3.
   - Update maintainer to match Debian Maintainer Field Spec.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 21 May 2007 22:30:51 +1000
