## apt-proxy 1.9.36.1ubuntu1

=== debian/changelog ===
apt-proxy (1.9.36.1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/init.d: Use LSB init-functions.
    - debian/install: Install into python2.5 dirs instead of python2.3.
    - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Nicolas Valcárcel <nvalcarcel@ubuntu-pe.org>  Mon, 03 Dec 2007 13:56:46 -0500

apt-proxy (1.9.36.1) unstable; urgency=low

    * Work around breakage caused by ABI change in python_apt. 
    (Closes: #436011, #436112). This is also related to #285360, which is not
    yet fixed

 -- Chris Halls <halls@debian.org>  Tue, 14 Aug 2007 21:58:45 +0100
