=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 	rm -f build-stamp install-stamp AptProxy-shutdown-2.tap
 	find . -name "*.pyc" |xargs -r rm
 	find . -name "*.tmlc" |xargs -r rm
+	debconf-updatepo
 	dh_clean
-	debconf-updatepo
 
 install: install-stamp
 install-stamp: build-stamp
@@ -34,6 +34,7 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
+	dh_pycentral
 	dh_python
 	dh_installinit
